Subject: Re: client requests ending \012

From: Charles Lindsey <[email-masked]>
Date: Wed, 26 Jul 2000 17:02:01 +0100 (BST)

On Wed, 26 Jul 2000 09:35:37 +0100 (BST)
	Philip Hazel <[email-masked]> said...

> 
> On Tue, 25 Jul 2000, Paul Hoffman / IMC wrote:
> 
> > The actual text from 2.3.7 reads:
> > 
> >     Conforming
> >     implementations MUST NOT recognize or generate any other character or
> >     character sequence as a line terminator.
> > 
> > "MUST NOT recognize" is what is being discussed here.
> 
> Quite. This seems to be a tightening up of the "be liberal in what you 
> accept" philosophy. On the one hand, I would like to see this, but on 
> the other hand, I don't believe you can achieve it, because it would 
> require vast numbers of deployed MTAs to change more or less
> simultaneously. The genie is out of the bottle, as I keep saying.

This sound like a classic case for saying "SHOULD NOT recognize".
You are only suppose to say MUST NOT if something would otherwise
immediately break, which does not seem to be the case here.

	On Wed, 26 Jul 2000 03:17:23 -0700
	Eliot Lear <[email-masked]> said...

> 
> The problem, again, is that LF.LF causes ambiguity, and so this business
> about being liberal in what you accept is not relevant.  One should not
> be liberal in what one accepts at the expense of not being able to
> accept legitimate text.

What precisely is the ambiguity? Naked LF should not be found in a
conforming message, so if a server chooses to be liberal when it sees
same are there two possible interpretations it could place? If not,
there is no ambiguity.

Charles H. Lindsey ---------At Home, doing my own thing------------------------
Email:     [email-masked]  Web:   http://www.cs.man.ac.uk/~chl
Voice/Fax: +44 161 437 4506      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9     Fingerprint: 73 6D C2 51 93 A0 01 E7  65 E8 64 7E 14 A4 AB A5

---

From: Keith Moore <[email-masked]>
Date: Wed, 26 Jul 2000 13:08:56 -0400

> Naked LF should not be found in a conforming message

naked LF is valid in RFC 822.
(though it's highly likely to be converted to CRLF by some MTA)

Keith